package staros

import (
	"time"
)

// Process 定义一个进程的信息
type Process struct {
	PPid      int64
	Pid       int64
	Name      string
	ExecPath  string
	LocalPath string
	Args      []string
	RUID      int
	EUID      int
	RGID      int
	EGID      int
	TPid      int64
	Uptime    time.Time
}

type MemStatus struct {
	All           uint64
	Used          uint64
	Free          uint64
	Shared        uint64
	BuffCache     uint64
	Available     uint64
	SwapAll       uint64
	SwapUsed      uint64
	SwapFree      uint64
	VirtualAll    uint64
	VirtualUsed   uint64
	VirtualAvail  uint64
	AvailExtended uint64
}

type DiskStatus struct {
	All       uint64
	Used      uint64
	Free      uint64
	Available uint64
}
